### robocode.control.snapshot

# Interface ITurnSnapshot

`public interface ITurnSnapshot`

Interface of a turn snapshot.

Authors:
  Pavel Savara (original)
  Flemming N. Larsen (contributor)

Since:
  1.6.2

  ## Method Summary

  `IBulletSnapshot[]`

  `getBullets()`
    Returns all bullets currently the battlefield.

  `IScoreSnapshot[]`

  `getIndexedTeamScores()`

  `IRobotSnapshot[]`

  `getRobots()`
    Returns all robots participating in the battle.

  `int`

  `getRound()`
    Returns the current turn.

  `IScoreSnapshot[]`

  `getSortedTeamScores()`

  `int`

  `getTPS()`
    Returns the current TPS (turns per second).

  `int`

  `getTurn()`
    Returns the current turn.

## Method Details

### getBullets

    public IBulletSnapshot[] getBullets()

> Returns all bullets currently the battlefield.
> Returns:
>   a list containing all bullets currently the battlefield.

### getIndexedTeamScores

    public IScoreSnapshot[] getIndexedTeamScores()

> Returns:
>   scores grouped by teams, in stable order

### getRobots

    public IRobotSnapshot[] getRobots()

> Returns all robots participating in the battle.
> Returns:
>   a list containing all robots participating in the battle.

### getRound

    public int getRound()

> Returns the current turn.
> Returns:
>   the current turn.

### getSortedTeamScores

    public IScoreSnapshot[] getSortedTeamScores()

> Returns:
>   scores grouped by teams, ordered by position

### getTPS

    public int getTPS()

> Returns the current TPS (turns per second).
> Returns:
>   the current TPS (turns per second).

### getTurn

    public int getTurn()

> Returns the current turn.
> Returns:
>   the current turn.